{$IFDEF NODebug}
UNIT A12;
{$ELSE}
UNIT StrList;
{$ENDIF}

INTERFACE

TYPE
  TStrList = CLASS(TObject)
  PRIVATE
    vList  : ARRAY OF STRING;
    ListLn : Integer;
  PUBLIC
    CONSTRUCTOR Create;
    FUNCTION    Count : Integer;    
    PROCEDURE   Add(Text:STRING);
    FUNCTION    Strings(Index:Integer) : STRING;
  END;

IMPLEMENTATION

CONSTRUCTOR TStrList.Create;
BEGIN
  ListLn:=0;
  SetLength(vList,ListLn+1);
END;

PROCEDURE TStrList.Add(Text:STRING);
BEGIN
  SetLength(vList,ListLn+1);
  vList[Listln]:=Text;
  Inc(Listln);
END;

FUNCTION TStrList.Strings(Index:Integer): STRING;
BEGIN
  Result:=vList[Index];
END;

FUNCTION TStrList.Count : Integer;
BEGIN
  Result:=ListLn;
END;

END.
